Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.awt
Class PointShapeFactory.BasePointShapeFactory

    java.lang.Object
      com.vividsolutions.jts.awt.PointShapeFactory.BasePointShapeFactory

All Implemented Interfaces:
  PointShapeFactory

Direct Known Subclasses:
  PointShapeFactory.Circle, PointShapeFactory.Cross, PointShapeFactory.Point, PointShapeFactory.Square, PointShapeFactory.Star, PointShapeFactory.Triangle, PointShapeFactory.X

Enclosing interface:
  PointShapeFactory

    public abstract static class PointShapeFactory.BasePointShapeFactory

extends java.lang.Object
implements PointShapeFactory

Nested Class Summary

Nested classes/interfaces inherited from interface com.vividsolutions.jts.awt.PointShapeFactory
`PointShapeFactory.BasePointShapeFactory, PointShapeFactory.Circle, PointShapeFactory.Cross, PointShapeFactory.Point, PointShapeFactory.Square, PointShapeFactory.Star, PointShapeFactory.Triangle, PointShapeFactory.X`

Field Summary
`static double` | `DEFAULT_SIZE` The default size of the shape
`protected double` | `size`

Constructor Summary
`PointShapeFactory.BasePointShapeFactory()` Creates a new factory for points with default size.
`PointShapeFactory.BasePointShapeFactory(double size)` Creates a factory for points of given size.

Method Summary
`abstract java.awt.Shape` | `createPoint(java.awt.geom.Point2D point)` Creates a shape representing a point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SIZE

    public static double DEFAULT_SIZE

  The default size of the shape

### size

    protected double size

Constructor Detail

### PointShapeFactory.BasePointShapeFactory

    public PointShapeFactory.BasePointShapeFactory()

  Creates a new factory for points with default size.

### PointShapeFactory.BasePointShapeFactory

    public PointShapeFactory.BasePointShapeFactory(double size)

  Creates a factory for points of given size.

  Parameters:
    `size` - the size of the points

Method Detail

### createPoint

    public abstract java.awt.Shape createPoint(java.awt.geom.Point2D point)

  Creates a shape representing a point.

  Specified by:
    `createPoint` in interface `PointShapeFactory`
  Parameters:
    `point` - the location of the point
  Returns:
    a shape

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD